metaHTML

# Class: htmlButton Source Location: /lib/html.inc
### Class Overview
    htmlElement
       |
       --htmlButton
Simple button. | ### Variables $isImageButton $name $value | ### Methods __construct generateHTML setIconClass setIsEnabled setTitle
### Child classes: htmlAccountPageButton Prints a button for the account pages. | ### Inherited Constants #### Class: htmlElement htmlElement::ALIGN_BOTTOM htmlElement::ALIGN_CENTER htmlElement::ALIGN_LEFT htmlElement::ALIGN_RIGHT htmlElement::ALIGN_TOP htmlElement::VALIDATE_NUMERIC | ### Inherited Variables #### Class: htmlElement htmlElement::$alignment htmlElement::$colspan htmlElement::$rowspan | ### Inherited Methods #### Class: htmlElement htmlElement::generateHTML() Prints the HTML code for this element. htmlElement::getAlignmentString() Returns the HTML attributes for the alignment. htmlElement::getColspanString() Returns the HTML attribute for the colspan. htmlElement::getRowspanString() Returns the HTML attribute for the rowspan.
### Class Details [line 630] Simple button. [ Top ] ### Class Variables #### $isImageButton = [line 637] image button or text button #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $name = [line 633] button name #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $value = [line 635] button text or image #### Tags:
access: | protected
Type: | mixed
[ Top ] ### Class Methods ### constructor __construct [line 652]
`htmlButton __construct( String $name, String $value, [String $isImageButton = false])`
Constructor. Overridden in child classes as: htmlAccountPageButton::__construct() Constructor #### Parameters:
String | $name | button name
String | $value | button text or image (16x16px, relative to graphics folder)
String | $isImageButton | image or text button (default text)
[ Top ] ### method generateHTML [line 669]
`array generateHTML( string $module, array $input, array $values, boolean $restricted, &$tabindex, string $scope, integer $tabindex)`
Prints the HTML code for this element. #### Tags:
return: | List of input field names and their type (name => type)
Overrides htmlElement::generateHTML() (Prints the HTML code for this element.) #### Parameters:
string | $module | Name of account module
array | $input | List of meta-HTML elements
array | $values | List of values which override the defaults in $input (name => value)
boolean | $restricted | If true then no buttons will be displayed
integer | $tabindex | Start value of tabulator index for input fields
string | $scope | Account type
| &$tabindex |
[ Top ] ### method setIconClass [line 738]
`void setIconClass( String $iconClass)`
Sets an additional icon for a text button. The icon class is a CSS class that specifies the icon image (e.g. "deleteButton" in layout.css). #### Tags:
access: | public
#### Parameters:
String | $iconClass | icon class
[ Top ] ### method setIsEnabled [line 728]
`void setIsEnabled( boolean $isEnabled)`
Specifies if this component is enabled and accepts user modification. #### Tags:
access: | public
#### Parameters:
boolean | $isEnabled | enabled if true
[ Top ] ### method setTitle [line 719]
`void setTitle( String $title)`
Sets the button title (tooltip). #### Tags:
access: | public
#### Parameters:
String | $title | title
[ Top ] Documentation generated on Tue, 22 Nov 2011 16:29:46 +0100 by phpDocumentor 1.4.1